Bug 1966480

Summary: Console-operator's controllers are passed resourceSyncer which is not used (refactoring)
Product: OpenShift Container Platform Reporter: Jakub Hadvig <jhadvig>
Component: Management ConsoleAssignee: Jakub Hadvig <jhadvig>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: low Docs Contact:
Priority: low    
Version: 4.8CC: aos-bugs, jokerman, spadgett, yapei
Target Milestone: ---   
Target Release: 4.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-18 17:32:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jakub Hadvig 2021-06-01 09:07:06 UTC
Description of problem:
Console-operator's controllers are passed resourceSyncer instance, which is not used. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check https://github.com/openshift/console-operator/blob/master/pkg/console/controllers/route/controller.go#L87
2.
3.

Actual results:
Most of the console-operator's controllers are passed resourceSyncer instance which they are not using.

Expected results:
console-operator's controllers should not be passed resourceSyncer instance which they are not using.

Additional info:

Comment 3 Yadan Pei 2021-06-28 08:44:07 UTC
did some regression testing about console-operator, everything is working well since in the code we only remove some unused library 
"
github.com/openshift/library-go/pkg/operator/resourcesynccontroller
resourceSyncer resourcesynccontroller.ResourceSyncer
"


Verified on 4.9.0-0.nightly-2021-06-27-223612

Comment 6 errata-xmlrpc 2021-10-18 17:32:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759